Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 234787 - app-mobilephone/gnokii-0.6.27-r2 stabilization request
Summary: app-mobilephone/gnokii-0.6.27-r2 stabilization request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Highest normal (vote)
Assignee: ppc64 architecture team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 234905
Blocks: 226537 231639
  Show dependency tree
 
Reported: 2008-08-15 06:37 UTC by Alin Năstac (RETIRED)
Modified: 2009-08-15 09:40 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alin Năstac (RETIRED) gentoo-dev 2008-08-15 06:37:35 UTC
Please mark version 0.6.26-r2 as stable.
Comment 1 Markus Meier gentoo-dev 2008-08-15 20:21:36 UTC
just tested with kaddressbook, which fails to build:

checking for gnokii.h... yes
checking for gn_cfg_read in -lgnokii... no
checking for gn_cfg_get in -lgnokii... no
configure: error: --with-gnokii was given, but test for gnokii failed

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/kde-base/kaddressbook-3.5.9/work/kaddressbook-3.5.9/config.log
 * 
 * ERROR: kde-base/kaddressbook-3.5.9 failed.


Portage 2.1.4.4 (default/linux/amd64/2008.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.26.2 x86_64)
=================================================================
System uname: 2.6.26.2 x86_64 Intel(R) Core(TM)2 Duo CPU T8300 @ 2.40GHz
Timestamp of tree: Fri, 15 Aug 2008 16:30:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r6
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /opt/openfire/resources/security/ /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/bind /var/lib/hsqldb /var/spool/torque"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks metadata-transfer multilib-strict parallel-fetch sandbox sfperms strict test unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
PKGDIR="/mnt/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa amd64 apache2 berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus doc dri dvd dvdr dvdread eds emboss encode esd evo examples fam firefox fortran gdbm gif gnome gpm gstreamer gtk hal iconv ipv6 isdnlog jpeg kde kerberos ldap libnotify mad midi mikmod mmx mp3 mpeg mudflap multilib ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3 qt3support qt4 quicktime readline reflection sdl session source spell spl sse sse2 ssl startup-notification svg sysfs tcpd test tiff truetype unicode usb vorbis xml xorg xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 2 Markus Rothe (RETIRED) gentoo-dev 2008-08-24 11:51:34 UTC
ppc64 stable
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-09-24 18:11:39 UTC
(In reply to comment #1)
> just tested with kaddressbook, which fails to build:
> 
> checking for gnokii.h... yes
> checking for gn_cfg_read in -lgnokii... no
> checking for gn_cfg_get in -lgnokii... no
> configure: error: --with-gnokii was given, but test for gnokii failed

@mrness: We won't break rdeps in a stablereq. Feel free to email me personally if you have any questions, but enough time has passed for us to remove ourselves from CC to facilitate working on other bugs in our queue. Please add back amd64@g.o when the depending bug is fixed. Thanks!
Comment 4 nixnut (RETIRED) gentoo-dev 2009-02-21 14:03:10 UTC
removing ppc from cc until the gnokii test is fixed
Comment 5 Alin Năstac (RETIRED) gentoo-dev 2009-05-09 09:37:13 UTC
bug 234905 has been finally solved...

Peeps, please mark app-mobilephone/gnokii-0.6.27-r2 as stable on your arch.
Comment 6 Christian Faulhammer (RETIRED) gentoo-dev 2009-05-11 19:30:40 UTC
x86 stable
Comment 7 nixnut (RETIRED) gentoo-dev 2009-05-17 16:19:27 UTC
ppc stable
Comment 8 Markus Meier gentoo-dev 2009-05-23 12:02:53 UTC
amd64 stable
Comment 9 Raúl Porcel (RETIRED) gentoo-dev 2009-06-02 16:42:14 UTC
sparc stable
Comment 10 Jeroen Roovers (RETIRED) gentoo-dev 2009-06-16 15:20:42 UTC
Stable for HPPA.
Comment 11 Alin Năstac (RETIRED) gentoo-dev 2009-06-22 00:10:39 UTC
I'll wait for another month, after which I will remove all previous versions from the tree.
ppc64 team, please do this in the mean time.
Comment 12 Alin Năstac (RETIRED) gentoo-dev 2009-08-15 09:40:34 UTC
ppc64 keyword has been dropped.
Closed as FIXED.